/*
 * Copyright (C) 2012 nico3000 - All Rights Reserved
 */
package event.events;

/**
 * Das Event wird geworfen, sobald ein Actor aus der GameLogic entfernt wurde.
 * @author nico3000
 */
public class ActorDeletedEvent extends ActorEvent {
    public static final int ID = 0x66341fe6;
    
    /**
     * Konstruktor.
     * @param actorId Die ID des Actors, der geloescht wurde
     */
    public ActorDeletedEvent(int actorId) {
        super(actorId);
    }

    @Override
    public int getId() {
        return ID;
    }
    
}
