/*
 * This software is the proprietary information of nico3000.
 */
package gui;

import gui.components.Window;
import java.util.HashSet;
import java.util.Set;

/**
 *
 * @author nico3000
 */
public class WindowManager {
    private final Set<Window> windows = new HashSet<>();
    private Window focused = null;
    
    public void addWindow(Window window) {
        this.windows.add(window);
    }
    
    public void removeWindow(Window window) {
        this.windows.remove(window);
    }
}
