/*
 * This software is the proprietary information of nico3000.
 */
package gui.components;

import static gui.components.Component.REPAINT_ON_NULL_TEXTURE;

/**
 *
 * @author nico3000
 */
public class Scrollbar extends Component {
    private Component componentToScroll;
    private float scrolled = 0.0f;

    public Scrollbar(Component componentToScroll) {
        super(REPAINT_ON_NULL_TEXTURE | REPAINT_ON_RESIZE);
        this.componentToScroll = componentToScroll;
    }

    @Override
    protected void repaint() {
        this.setTexture(this.getGui().getDrawer().createScrollbar(this.getWidth(), this.getHeight(), this.scrolled));
    }
    
    
}
