/*
 * Copyright (C) 2012 nico3000 - All Rights Reserved
 */
package input;

import event.events.QuitEvent;
import main.GameApp;
import org.lwjgl.input.Keyboard;

/**
 *
 * @author nico3000
 */
public class PanicKeyboardHandler implements KeyboardHandler {

    @Override
    public boolean onKeyDown(int key, char c) {
        return false;
    }

    @Override
    public boolean onKeyUp(int key) {
        switch(key) {
            case Keyboard.KEY_ESCAPE:
                GameApp.getEventManager().queueEvent(new QuitEvent());
                break;
            default: return false;
        }
        return true;
    }

    @Override
    public boolean isProcessingRepeatEvents() {
        return false;
    }
}
