/*
 * Copyright (C) 2013 nico3000 - All Rights Reserved
 */
package resource.loader;

/**
 *
 * @author nico3000
 */
public class ImageExtraData {
    private final int width;
    private final int height;
    private final int channels;

    public ImageExtraData(int width, int height, int channels) {
        this.channels = channels;
        this.width = width;
        this.height = height;
    }

    public int getWidth() {
        return this.width;
    }

    public int getHeight() {
        return this.height;
    }

    public int getChannels() {
        return this.channels;
    }
}
